Changes between Version 18 and Version 19 of egall


Ignore:
Timestamp:
Jul 20, 2014, 6:51:47 PM (7 years ago)
Author:
cooljeanius (Eric Gallager)
Comment:

cross off some TODO items for which I have found/created tickets, and add some new ones

Legend:

Unmodified
Added
Removed
Modified
  • egall

    v18 v19  
    100100 - ~~swig-clisp~~ (clisp is i386, swig-clisp is x86_64 - I guess that makes it an example of #34891 - added a comment saying so: [comment:ticket:34891:6])
    101101 - ~~gcl~~ (found #12906 and #40468, mine was probably the same as one of those)
    102  - postgresql81 +krb5+perl+python
    103  - samba3 +kerberos+openldap
    104  - sudo +insults+openldap
    105  - mapnik +cairo+gdal+osm+postgis+sqlite (the `+cairo` variant in particular is what I think is the issue... also the `scons`-based build system ignores stuff.)
     102 - ~~postgresql81 +krb5+perl+python~~ (many tickets open against the various postgresql ports; found #44120 open against postgresql81 specifically)
     103 - ~~samba3 +kerberos+openldap~~ (found the following tickets open against samba3: #30951, #34572, and #39997. None of them are really build errors though...)
     104 - ~~sudo +insults+openldap~~ (found #21314, #40644, and #40959. None of them are really build errors though...)
     105 - ~~mapnik +cairo+gdal+osm+postgis+sqlite (the `+cairo` variant in particular is what I think is the issue... also the `scons`-based build system ignores stuff.)~~ (found #30187, #32452, #35323, #37995, and #38417; I think #36134 in particular is the issue I was experiencing though)
    106106 - gob1 (not actually broken, just installs /opt/local/share/aclocal/gob.m4 which produces underquoted macro warnings when autoreconfing)
    107  - libmemcached +dtrace+hsieh
     107 - libmemcached +dtrace+hsieh (found tickets for other memcached ports, but '''not''' this one though...)
    108108 - gnome-vfs +avahi (just the post-activate gconf schemas installation)
    109  - linuxdoc-tools
     109 - ~~linuxdoc-tools~~ (found #42988, which is the same issue)
    110110 - astyle +java+lib
    111111 - cl-ppcre +asdf_binary_locations+sbcl (just requires some manual interaction at one point)
    112  - cssc (due to texinfo5)
     112 - ~~cssc (due to texinfo5)~~ requested that the port be updated in #44352; hopefully updating it will also fix the build issues I was seeing...
    113113 - ~~docbook-utils~~ (found #43750; might have been something older than that though)
    114  - cm3 (and, by extension, cvsup) (cm3's distfile is bad)
     114 - ~~cm3 (and, by extension, cvsup) (cm3's distfile is bad)~~ found #26676, which looks like the same issue
    115115 - cvsync +universal (unrecognized --disable-dependency-tracking flag)
    116116 - libctl (needs variants for newer versions of gcc)
     
    155155 - new ports needed for new optional dependencies of gdb: libmcheck (hard to disentangle from glibc) and [https://launchpad.net/ubuntu/raring/+source/babeltrace/1.0.3-1 libbabeltrace] (seems (slightly) easier to port)
    156156 - QLStephen
    157  - libcdr +docs+universal (pedantic warning-turned-to-error in /opt/local/include/lcms2.h (`-Wlong-long`))
     157 - ~~libcdr +docs+universal (pedantic warning-turned-to-error in /opt/local/include/lcms2.h (`-Wlong-long`))~~ turned out to be #43487
    158158 - ike-scan @1.9 +universal (rev-upgrade reports it as broken)
    159159 - libsvg-cairo @0.1.6 (rev-upgrade reports it as broken)
     
    161161 - pretty much all of the fuse ports I have installed with `+universal`, because the switch to osxfuse removed the universal variant (already on CC for a bunch of fuse issues)
    162162 - dvi2bitmap
     163 - icoutils ("`/opt/local/bin/ranlib: archive member: libcommon.a(libgnu.a) fat file for cputype (16777223) cpusubtype (3) is not an object file (bad magic number)`")
     164 - ~~javatar~~ depends on gnu-classpath, which runs into #38113
    163165 - ...
    164166